#
# spec file for package poppler (Version 0.5.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs dbus-1 dbus-1-devel desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk-doc gtk2 gtk2-devel gzip hicolor-icon-theme info insserv iso_ent less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libdrm-devel libexpat-devel libexpat1 libgcc42 libgcrypt libgomp42 libgpg-error libjpeg libjpeg-devel liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libqt4 libqt4-dbus-1 libqt4-devel libqt4-qt3support libqt4-sql libqt4-x11 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libxslt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openjade opensp openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks qt3 qt3-devel rpm sed sgml-skel sysvinit tar texinfo timezone update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           poppler
BuildRequires:  gtk-doc gtk2-devel libdrm-devel libjpeg-devel libqt4-devel qt-devel qt3-devel update-desktop-files zlib-devel
Version:        0.5.4
Release:        101.6
Url:            http://poppler.freedesktop.org/
Group:          System/Libraries
License:        GPL v2 or later
Summary:        PDF Rendering Library
Source:         %{name}-%{version}.tar.bz2
Patch:          poppler-qt-m4.patch
Patch1:         fix-pedantic-header-compile.diff
Patch2:         poppler-PageTree-depth-CVE-2007-0104.patch
Patch3:         poppler-ugoostr.patch
# These are for https://bugzilla.novell.com/show_bug.cgi?id=335637
Patch4:         xpdf2-CVE-2007-4352.diff
Patch5:         xpdf2-CVE-2007-5392.diff
Patch6:         xpdf2-CVE-2007-5393.diff
# These are for bnc#377842 and bnc#377838
Patch7:         poppler-invalid-embedded-fonts.patch
Patch8:         poppler-typechecking.patch
# PATCH-FIX-UPSTREAM poppler-gmallocn3.patch vuntz@novell.com
Patch9:         poppler-gmallocn3.patch
# PATCH-FIX-UPSTREAM bnc487100 poppler-CVE-2009-JBIG2.patch vuntz@novell.com
Patch10:        poppler-CVE-2009-JBIG2.patch
# PATCH-FIX-UPSTREAM poppler-invalid-embedded-fonts-safer.patch vuntz@novell.com
Patch11:        poppler-invalid-embedded-fonts-safer.patch
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC. There are two reasons for forking xpdf. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases. In turn, all
distributions must package and release new versions of these xpdf based
viewers. Due to this, there is a lot of duplicated effort. Even if
poppler in the short term introduces yet another xpdf-derived code base
to the world, hopefully, over time these applications will adopt
poppler. After all, only one application needs to use poppler to break
even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%debug_package
%package devel
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library
# NOTE: Adding these will cause large dependencies, 2/3 of them are not
# needed in most cases. Most users of bindings will already require is
# implicitly. So it's better not to be absolutely correct.
#  skip-check-libtool-deps
#Requires:      cairo-devel glib2-devel gtk2-devel qt3-devel libqt4-devel
Requires:       %{name} = %{version} poppler-glib poppler-qt poppler-qt4 libjpeg-devel libstdc++-devel

%description devel
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package tools
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF Rendering Library
Requires:       %{name} = %{version}
#Provides:       xpdf-tools
Conflicts:      xpdf-tools

%description tools
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases.  In turn, all
distributions must package and release new versions of these xpdf based
viewers.  It is safe to say that there is a lot of duplicated effort
with the current situation.  Even if poppler in the short term
introduces yet another xpdf-derived code base to the world, it is hoped
that over time these applications will adopt poppler.  After all, we
only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that do not fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs on a wide range of X-based platforms.  This
is a strong feature and reasonable design goal.  However, poppler
intends to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system in a standardized and well understood way.  Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package glib
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library - a glib wrapper
Requires:       %{name} = %{version}

%description glib
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package qt
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library - a qt wrapper
Requires:       %{name} = %{version}

%description qt
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package qt4
License:        GPL v2 or later
Group:          System/Libraries
Summary:        PDF rendering library - a qt4 wrapper
Requires:       %{name} = %{version}

%description qt4
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, we
want to provide PDF rendering functionality as a shared library, to
centralize the maintenence effort. Today a number of applications
incorporate the xpdf code base, and whenever a security issue is
discovered, all these applications exchange patches and put out new
releases.  In turn, all distributions must package and release new
version of these xpdf based viewers.  It's safe to say that there's a
lot of duplicated effort with the current situation.  Even if poppler
in the short term introduces yet another xpdf derived code base to the
world, we hope that over time these applications will adopt poppler. 
After all, we only need one application to use poppler to break even.

Second, we would like to move libpoppler forward in a number of areas
that doesn't fit within the goals of xpdf.  By design, xpdf depends on
very few libraries and runs a wide range of X based platforms.	This is
a strong feature and reasonable design goal.  However, with poppler we
would like to replace parts of xpdf that are now available as standard
components of modern Unix desktop environments.  One such example is
fontconfig, which solves the problem of matching and locating fonts on
the system, in a standardized and well understood way.	Another example
is cairo, which provides high quality 2D rendering.  See the file TODO
for a list of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%package doc
License:        GPL v2 or later
Group:          System/Libraries
Summary:        Additional Package Documentation.
Requires:       %{name} = %{version}

%description doc
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg of
Glyph and Cog, LLC.  The purpose of forking xpdf is twofold. First, to
provide PDF rendering functionality as a shared library to centralize
the maintenence effort. Today a number of applications incorporate the
xpdf code base and whenever a security issue is discovered, all these
applications exchange patches and put out new releases.  In turn, all
distributions must package and release new versions of these xpdf based
viewers.  It is safe to say that there is a lot of duplicated effort
with the current situation.  Even if poppler in the short term
introduces yet another xpdf-derived code base to the world, it is hoped
that over time these applications will adopt poppler.  After all, only
one application needs to use poppler to break even.

Second, libpoppler intends to move forward in a number of areas that do
not fit within the goals of xpdf.  By design, xpdf depends on very few
libraries and runs on a wide range of X-based platforms.  This is a
strong feature and reasonable design goal.  However, poppler intends to
replace parts of xpdf that are now available as standard components of
modern Unix desktop environments.  One such example is fontconfig,
which solves the problem of matching and locating fonts on the system
in a standardized and well understood way.  Another example is cairo,
which provides high quality 2D rendering.  See the file TODO for a list
of planned changes.



Authors:
--------
    Derek Noonburg <derekn@foolabs.com>
    Kristian Hgsberg <krh@bitplanet.net>

%prep
%setup
%patch
%patch1
%patch2 -p0
%patch3 -p0
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
ACLOCAL="aclocal -I m4" autoreconf -f -i
# needed for poppler-0.5.4:
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%if %suse_version > 1000
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
#export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif
%configure\
	--enable-xpdf-headers \
	--disable-static \
	--enable-shared \
	--enable-zlib
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%_libdir/*.la

%post
%run_ldconfig

%post glib
%run_ldconfig

%post qt
%run_ldconfig

%post qt4
%run_ldconfig

%postun
%run_ldconfig

%postun glib
%run_ldconfig

%postun qt
%run_ldconfig

%postun qt4
%run_ldconfig

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README-XPDF TODO
%{_libdir}/libpoppler.so.*

%files tools
%defattr (-, root, root)
%{_bindir}/*
%doc %{_mandir}/man1/*.*

%files glib
%defattr (-, root, root)
%{_libdir}/libpoppler-glib.so.*

%files qt
%defattr (-, root, root)
%{_libdir}/libpoppler-qt.so.*

%files qt4
%defattr (-, root, root)
%{_libdir}/libpoppler-qt4.so.*

%files devel
%defattr (-, root, root)
%{_includedir}/poppler
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr (-, root, root)
%{_datadir}/gtk-doc/html/poppler

%changelog
* Sat Jun 20 2009 - vuntz@suse.de
- Add poppler-invalid-embedded-fonts-safer.patch to fix a crash
  related to CVE-2008-1693 (bnc#387770).
* Wed Apr 29 2009 - vuntz@suse.de
- Add poppler-CVE-2009-JBIG2.patch to fix various JBIG2 decoding
  issues. Fix bnc#487100, CVE-2009-0756, CVE-2009-0799,
  CVE-2009-0800, CVE-2009-1179, CVE-2009-1180, CVE-2009-1181,
  CVE-2009-1182, CVE-2009-1183.
- Add poppler-gmallocn3.patch to fix CVE-2009-1187, CVE-2009-1188.
* Tue Apr 15 2008 - maw@suse.de
- Add poppler-invalid-embedded-fonts.patch and
  poppler-typechecking.patch (bnc#377842, bnc#377838, and
  CVE-2008-1693).
* Mon Nov 05 2007 - maw@suse.de
- Add xpdf2-CVE-2007-4352.diff, xpdf2-CVE-2007-5392.diff,
  and xpdf2-CVE-2007-5393.diff (#335637, CVE-2007-4352,
  CVE-2007-5392, and CVE-2007-5393).
* Sat Mar 10 2007 - dmueller@suse.de
- remove now broken .la files from devel package
  to fix build of all depending packages
* Mon Mar 05 2007 - sbrabec@suse.cz
- Fixed devel dependencies (#249436).
- Removed some devel dependencies to force less to install.
* Mon Feb 05 2007 - werner@suse.de
- Simplify usage of class UGooString
* Fri Jan 19 2007 - maw@suse.de
- Add poppler-PageTree-depth-CVE-2007-0104.patch, fixing an
  infinite loop in page tree (#233133 and CVE-2007-0104).
* Mon Jan 15 2007 - dmueller@suse.de
- don't build static libs
* Fri Jan 12 2007 - dmueller@suse.de
- fix pedantic warnings in qt4 headers
* Tue Jan 02 2007 - sbrabec@suse.cz
- Fixed qt detection (#229896).
- Fixed dependencies.
- Reverted poppler-qt3 back to poppler-qt (#229896).
* Fri Dec 29 2006 - james@usr-local-bin.org
- New subpackage: poppler-qt4
- Rename poppler-qt to be poppler-qt3
* Sat Dec 23 2006 - james@usr-local-bin.org
- Add wildcard to use QT3 and QT4 bindings
* Tue Dec 19 2006 - sbrabec@suse.cz
- Spec file cleanup.
- Splitted poppler-doc from poppler.
* Thu Oct 26 2006 - jhargadon@suse.de
- added --sysconfdir=/etc option to ./configure in the specfile
  as another part of the fix for bug #201739
* Wed Oct 04 2006 - jhargadon@suse.de
- moved man pages to the poppler-tools subpackage [#201739]
* Wed Sep 27 2006 - jhargadon@suse.de
- update to version 0.5.4
- Automatically read in CJK encoding files if they're installed
- Speed ups
- Patch from Dom Lachowicz to let the utils take input on stdin
- many bug fixes
* Mon Sep 04 2006 - sbrabec@suse.cz
- Define conflict poppler-tools x xpdf-tools (#201739#c4).
* Thu Aug 31 2006 - sbrabec@suse.cz
- Created poppler-tools providing xpdf-tools (#201739).
- Enabled parallel build.
* Fri Jul 07 2006 - aj@suse.de
- Add back missing headers.
* Thu Jul 06 2006 - gekker@suse.de
- Update to version 0.5.3
- Remove upstreamed patches
* Tue Jun 13 2006 - gekker@suse.de
- Fix evince crasher when selecting text (#152780)
* Thu Mar 23 2006 - sbrabec@suse.cz
- Display CJK with cairo correctly (Mandriva patch, #160230).
- Fixed devel dependencies.
* Tue Feb 07 2006 - sbrabec@suse.cz
- Fixed SplashXPathScanner heap overflow (#141242, CVE-2006-0301).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - nadvornik@suse.cz
- updated to 0.4.4
- security patches merged upstream
* Mon Jan 16 2006 - meissner@suse.de
- added -fno-strict-aliasing.
* Mon Jan 16 2006 - meissner@suse.de
- use -fstack-protector.
* Wed Jan 11 2006 - sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Thu Dec 15 2005 - sbrabec@suse.cz
- Fixed more xpdf overflows and signed integer multiplications
  (Chris Evans, Martin Pitt, #137156).
* Wed Dec 07 2005 - sbrabec@suse.cz
- Xpdf heap owerflow fixes (#137156, CAN-2005-3191, CAN-2005-3192,
  CAN-2005-3193).
* Mon Oct 24 2005 - stbinner@suse.de
- remove remaining extra qualifications
* Tue Oct 18 2005 - dmueller@suse.de
- fix extra qualifications in installed headers
* Fri Sep 02 2005 - gekker@suse.de
- Update to version 0.4.2
- Fixes to work with new cairo version
- Required by evince update for GNOME 2.12
* Thu Aug 18 2005 - gekker@suse.de
- Update to version 0.4.0
- Remove uptreamed patchs
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 0.3.3
* Mon Jun 27 2005 - meissner@suse.de
- supply format attributes.
* Wed Jun 01 2005 - sbrabec@suse.cz
-  Fixed pkgconfig file.
* Tue May 24 2005 - sbrabec@suse.cz
- Updated to version 0.3.2.
* Mon May 23 2005 - sbrabec@suse.cz
- Split poppler-glib to subpackage.
* Sun May 22 2005 - aj@suse.de
- Fix build with GCC4.
* Mon May 09 2005 - sbrabec@suse.cz
- New SuSE package, version 0.3.1.
